Name: sysstat
Version: 4.0.3
Release: 4.legacy
Summary: The sar and iostat system monitoring commands.
License: GPL
Group: Applications/System
Source: http://perso.wanadoo.fr/sebastien.godard/%{name}-%{version}.tar.bz2
Source1: sysstat.crond
Source2: sysstat.crondaily
Patch0: sysstat-4.0.1-config.patch
Patch1: sysstat-4.0.1-prevday.patch
Patch2: sysstat-3.3.5-fixutilization.patch
Patch3: sysstat-4.0.1-verbose.patch
Patch10: sysstat-4.0.3-longifnames.patch
Patch11: sysstat-4.0-maxparts.patch
URL: http://perso.wanadoo.fr/sebastien.godard/
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: kernel >= 2.2.16-21
Prereq: sh-utils textutils grep fileutils /etc/cron.d
BuildRequires: gettext

%description
This package provides the sar and iostat commands for Linux. Sar and
iostat enable system monitoring of disk, network, and other IO
activity.

%prep
%setup -q
%patch0 -p1 -b .config
#patch1 -p1 -b .prevday
#patch2 -p1 -b .fixutilization
%patch3 -p1 -b .verbose
%patch10 -p1 -b .longifnames
%patch11 -p1 -b .maxparts

%build
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
make install MAN_DIR=%{_mandir}

mkdir -p %{buildroot}/etc/{cron.daily,cron.d}
install %{SOURCE1} %{buildroot}/etc/cron.d/sysstat
#install %{SOURCE2} %{buildroot}/etc/cron.daily/sysstat

# sysstat makefiles install the docs in the wrong place, blow them away
rm -f %{buildroot}/usr/share/doc/*

%find_lang %{name}

%triggerpostun -- sysstat <= 3.3.3-1
# earlier versions of sysstat had crontabs done in a bad way.  fix it.
if [ `id -u` = "0" -a "$1" -ge "2" ]; then
  egrep -v 'sysstat|sa1|sa2' /etc/crontab > /etc/crontab.tmp.$$ && \
  mv /etc/crontab.tmp.$$ /etc/crontab && chmod 644 /etc/crontab
fi

%preun
if [ "$1" = 0 ]; then
  # Remove sa logs if removing sysstat completely
  rm -f /var/log/sa/*
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO
%config(noreplace) /etc/cron.d/sysstat
#config(noreplace) /etc/cron.daily/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man8/*
/var/log/sa

%changelog
* Tue Jun  8 2004 Jesse Keating <jkeating@j2solutions.net>
- Added gettext as a BuildReq.

* Thu Mar 11 2004 Michal Jaegermann <michal@harddata.com>
- repackaged changes from rhl9 for earlier distributions

* Tue Feb 24 2004 Nils Philippsen <nphilipp@redhat.com> 4.0.7-3.rhl9.1
- fix insecure tmp files in scripts (#78212)
- handle interface names longer than 5 characters (#92052)
- increase maximum number of partitions (#110822)

* Fri Apr 12 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.3-2
- Do the daily sa2 run just before midnight, not at 4AM... you'd 
  only get 4 hours worth of data that way (#63132)

* Thu Feb 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.3-1
- 4.0.3

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.2-3
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 12 2001 Trond Eivind Glomsrd <teg@redhat.com> 4.0.2-1
- 4.0.2
- the kernel patch for extended statistics is in, don't say it needs
  applying in the man page

* Mon Aug 13 2001 Preston Brown <pbrown@redhat.com>
- be more verbose about which files are corrupt (#47122)

* Mon Jul  2 2001 Preston Brown <pbrown@redhat.com>
- run sa1 from cron.d to fix run-parts interaction problem (#37733)

* Fri Jun 29 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 4.0.1 stable release

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Apr  8 2001 Preston Brown <pbrown@redhat.com>
- explicitly set safe umask (#35142)

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- iostat disk utilization was off by a factor of 10.

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- 3.3.5 brings us full support for kernel IO stats

* Tue Jan 30 2001 Preston Brown <pbrown@redhat.com>
- Summarize previous day's activity with sa2, not current day (which is only 4 hours of data when it gets run) (#24820)
- upgrade to 3.3.4 for full 2.4 compatibility and improved iostat

* Tue Jan 17 2001 Preston Brown <pbrown@redhat.com>
- iostat man page fixes

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- 3.3.3, crontab fixes

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- fix prereqs

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- crontab entry was still incorrect.  Fixed.

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- make sure disk accounting is enabled to fix iostat -l, -p (#16268)
- crontab entries were missing the user (root) to run as (#18212)

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- enable IO accounting now that kernel supports it

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix buildrooting (#16271)

* Tue Aug 08 2000 Preston Brown <pbrown@redhat.com>
- bugfixes in 3.2.4 cause our inclusion. :)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 3.2.3 fixes SMP race condition

* Tue Jun 20 2000 Preston Brown <pbrown@redhat.com>
- FHS macros
- 3.2.2

* Fri May 26 2000 Preston Brown <pbrown@redhat.com>
- packaged for Winston
- change va patch to indicate kernel is not patched for iostat accounting.
  re-enable if our stock kernel gets this patch.
- upgrade to 3.2.
- install crontab entry.

* Sun Dec 12 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 2.2

* Fri Oct 29 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (2.1)
